blinkbox(6)

NAME
blinkbox

SYNOPSIS
blinkbox [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-wireframe] [-boxsize number] [-dissolve] [-fade] [-no-blur]

DESCRIPTION
Shows a ball contained inside of a bounding box. Colored blocks blink in when the ball hits the edges.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-boxsize
    Sets the size of the colored boxes. Should be between 1 and 8. Default: 2

-dissolve | -no-dissolve
    Boxes shrink instead of just vanishing.

-fade | -no-fade
    Boxes fade to transparency instead of just vanishing.

-blur | -no-blur
    Enable or disable motion blur on the ball. Default: blurry.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Jeremy English. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jeremy English. Motion blur by John Boero.